nav {
    --text: oklch(0.99 0.003 325);
    --bg: oklch(0.45 0.32 40);

    ul {
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-end;
        margin: 0;
        padding: 0;
    }

    a {
        color: var(--text);
        background-color: var(--bg);
        text-decoration: none;
        display: block;
        padding-block: 1rem;
        padding-inline: 2rem;
        transition: color 0.4s ease-in-out, background-color 0.4s ease-in-out;

        &:hover,
        &:focus-visible {
            color: var(--bg);
            background-color: var(--text);
        }
    }
}

main {
    .cards {
        list-style: none;
        padding: 0;
        margin: auto;


        display: flex;
        flex-wrap: wrap;
        gap: 2rem;

        li {
            background-color: oklch(0.97 0.01 325);
            border-radius: 0.5rem;
            overflow: hidden;
            flex: 0 1 calc(33.33% - 2em);
            min-width: 18em;

            box-shadow:
                    0 0 0.4rem oklch(0 0 0 / .2),
                    0 0 2rem oklch(0 0 0 / .1);
            display: flex;
            flex-direction: column;
            position: relative;

            img{
                width: 100%;
                height: auto;
                display: block;
                order: 1;
            }
            .content {
                padding: 1rem;
                order: 2;
                h3 {
                    margin-block: 0 0.5rem;
                    font-size: 1.25rem;
                    color: oklch(0.3 0.02 325);
                }

                p {
                    margin-block-end: 1rem;
                    color: oklch(0.4 0.01 325);
                }

                a {
                    color: oklch(0.45 0.32 40);
                    text-decoration: none;
                    font-weight: bold;
                    transition: color 0.3s ease-in-out;
                    z-index: 3;
                    &:hover,
                    &:focus-visible {
                        color: oklch(0.25 0.01 325);
                    }
                }
            }

            .overlay-link {
                position: absolute;
                inset: 0;
                z-index: 2;
                --bg: transparant;
                transition: background-color 0.4s ease-in-out;
                text-indent: -10000rem;
                overflow: hidden;

            }
            .overlay-link:hover,
            .overlay-link:focus-visible {
                background-color: oklch(0.45 0.32 40 / 0.2);
            }
        }
    }
}
@media (min-width: 37.5em) {

}